org.apache.http.client.entity

## Class GzipCompressingEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.client.entity.GzipCompressingEntity

- All Implemented Interfaces:
    HttpEntity

      public class GzipCompressingEntity
      extends HttpEntityWrapper

  封装实体，当 `writing`压缩内容。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

      `wrappedEntity`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `GzipCompressingEntity(HttpEntity entity)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getContent()`
    `Header` | `getContentEncoding()`
    `long` | `getContentLength()`
    `boolean` | `isChunked()`
    `void` | `writeTo(OutputStream outstream)`

    - ### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

      `consumeContent, getContentType, isRepeatable, isStreaming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### GzipCompressingEntity

          public GzipCompressingEntity(HttpEntity entity)

  - ### 方法详细信息

    - #### getContentEncoding

          public Header getContentEncoding()

      Specified by:
        `getContentEncoding`在界面 `HttpEntity`
      重写：
        `getContentEncoding`在 `HttpEntityWrapper`

    - #### getContentLength

          public long getContentLength()

      Specified by:
        `getContentLength`在界面 `HttpEntity`
      重写：
        `getContentLength`在类 `HttpEntityWrapper`

    - #### isChunked

          public boolean isChunked()

      Specified by:
        `isChunked`在界面 `HttpEntity`
      重写：
        `isChunked`在类 `HttpEntityWrapper`

    - #### getContent

          public InputStream getContent()
                                 throws IOException

      Specified by:
        `getContent`在界面 `HttpEntity`
      重写：
        `getContent`在 `HttpEntityWrapper`
      异常
        `IOException`

    - #### writeTo

          public void writeTo(OutputStream outstream)
                       throws IOException

      Specified by:
        `writeTo`在界面 `HttpEntity`
      重写：
        `writeTo`在类 `HttpEntityWrapper`
      异常
        `IOException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585